> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_getL1BatchBlockRange

> Returns the range of blocks contained within a specified L1 batch. The range is provided by the beginning and end block numbers in hexadecimal.



## OpenAPI

````yaml /api-reference/openapi.json post /zks_getL1BatchBlockRange
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_getL1BatchBlockRange:
    post:
      tags:
        - ZKSync API
      summary: zks_getL1BatchBlockRange
      description: >-
        Returns the range of blocks contained within a specified L1 batch. The
        range is provided by the beginning and end block numbers in hexadecimal.
      operationId: zks_getL1BatchBlockRange
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_getL1BatchBlockRange
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Call parameters
                  default:
                    - 12345
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: zks_getL1BatchBlockRange
              params:
                - 12345
      responses:
        '200':
          description: Returns the range of blocks in the batch
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 1
                  result:
                    type: array
                    description: >-
                      Array with two elements: the first and the last block
                      number (inclusive) of the requested batch
                    items:
                      type: string
                      description: Block number in hexadecimal format
                    example:
                      - '0x1'
                      - '0x4'
              example:
                jsonrpc: '2.0'
                result:
                  - '0x1'
                  - '0x4'
                id: 1

````